Bug 39283 - Update port: audio/midimountain ${PERL} -> ${REINPLACE_CMD}
Summary: Update port: audio/midimountain ${PERL} -> ${REINPLACE_CMD}
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-06-14 11:20 UTC by obraun
Modified: 2002-07-08 11:22 UTC (History)
0 users

See Also:


Attachments
file.diff (772 bytes, patch)
2002-06-14 11:20 UTC, obraun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description obraun 2002-06-14 11:20:01 UTC
Replace ${PERL} with ${REINPLACE_CMD}.

Regards,
         Olli
Comment 1 obraun 2002-06-16 11:20:55 UTC
mega-patch for category audio.

Obsoletes PR's ports/39276, ports/39277, ports/39278, ports/39279,
  ports/39280, ports/39281, ports/39282, ports/39283, ports/39284,
  ports/39285, ports/39286, ports/39287, ports/39288, ports/39289,
  ports/39290, ports/39291, ports/39292, and ports/39294.

Regards,
         Olli

Index: Maaate/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/Maaate/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- Maaate/Makefile	28 Mar 2002 16:17:54 -0000	1.3
+++ Maaate/Makefile	16 Jun 2002 10:15:52 -0000
@@ -18,7 +18,7 @@
 INSTALLS_SHLIB=	yes
 
 post-patch:
-	@${PERL} -pi -e "s,-ldl,,g ; s,\(CCLD,(CXXLD,g" ${WRKSRC}/demos/Makefile.in
+	@${REINPLACE_CMD} -e "s,-ldl,,g ; s,\(CCLD,(CXXLD,g" ${WRKSRC}/demos/Makefile.in
 
 post-install:
 .if !defined(NOPORTDOCS)
Index: cheesetracker/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/cheesetracker/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- cheesetracker/Makefile	9 Jun 2002 20:32:55 -0000	1.4
+++ cheesetracker/Makefile	16 Jun 2002 10:15:52 -0000
@@ -27,6 +27,6 @@
 	@${RM} -f ${WRKSRC}/config.cache
 
 post-patch:
-	@${PERL} -pi -e "s,AFMT_S16_NE,AFMT_S16_LE,g" ${WRKSRC}/waveout/sound_driver_oss.cpp
+	@${REINPLACE_CMD} -e "s,AFMT_S16_NE,AFMT_S16_LE,g" ${WRKSRC}/waveout/sound_driver_oss.cpp
 
 .include <bsd.port.mk>
Index: gdcd/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/gdcd/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- gdcd/Makefile	29 Nov 2001 22:19:04 -0000	1.9
+++ gdcd/Makefile	16 Jun 2002 10:15:52 -0000
@@ -25,7 +25,7 @@
 	@cd ${WRKSRC}; ${ACLOCAL} -I ${X11BASE}/share/aclocal
 
 pre-build:
-	@${PERL} -pi -e "s/autoheader/${AUTOHEADER}/" \
+	@${REINPLACE_CMD} -e "s/autoheader/${AUTOHEADER}/" \
 		${BUILD_WRKSRC}/Makefile
 
 .include <bsd.port.mk>
Index: ksmp3play/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/ksmp3play/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- ksmp3play/Makefile	17 Apr 2002 12:37:48 -0000	1.2
+++ ksmp3play/Makefile	16 Jun 2002 10:15:53 -0000
@@ -24,7 +24,7 @@
 MAN1=	ksmp3play.1
 
 post-patch:
-	@${PERL} -pi -e "s,-lpthread,${PTHREAD_LIBS},g" ${WRKSRC}/configure
+	@${REINPLACE_CMD} -e "s,-lpthread,${PTHREAD_LIBS},g" ${WRKSRC}/configure
 
 .if !defined(NOPORTDOCS)
 post-install:
Index: libmikmod/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/libmikmod/Makefile,v
retrieving revision 1.23
diff -u -r1.23 Makefile
--- libmikmod/Makefile	7 Mar 2002 02:42:36 -0000	1.23
+++ libmikmod/Makefile	16 Jun 2002 10:15:53 -0000
@@ -26,7 +26,7 @@
 	@${RM} -f ${WRKSRC}/docs/mikmod.info-*
 
 post-patch:
-	@${PERL} -pi -e 's|\$$CFLAGS -pthread|\$$CFLAGS ${PTHREAD_CFLAGS}|g ; \
+	@${REINPLACE_CMD} -e 's|\$$CFLAGS -pthread|\$$CFLAGS ${PTHREAD_CFLAGS}|g ; \
 		 s|-pthread \$$REENTRANT|\$$REENTRANT ${PTHREAD_CFLAGS}|g ; \
 		 s|-lpthread|${PTHREAD_LIBS:S/"//g}|g ; \
 		 s|-lc_r|${PTHREAD_LIBS:S/"//g}|g' ${WRKSRC}/configure
Index: libsndfile/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/libsndfile/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- libsndfile/Makefile	2 May 2002 21:23:37 -0000	1.5
+++ libsndfile/Makefile	16 Jun 2002 10:15:53 -0000
@@ -21,7 +21,7 @@
 		new_file_type.HOWTO sndfile_info.html
 
 pre-patch:
-	@${PERL} -pi -e 's|-g -O2 ||g' ${WRKSRC}/configure
+	@${REINPLACE_CMD} -e 's|-g -O2 ||g' ${WRKSRC}/configure
 
 post-install:
 .if !defined(NOPORTDOCS)
Index: mhwaveedit/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/mhwaveedit/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- mhwaveedit/Makefile	30 May 2002 18:07:15 -0000	1.2
+++ mhwaveedit/Makefile	16 Jun 2002 10:15:53 -0000
@@ -32,7 +32,7 @@
 .endif
 
 post-patch:
-	@${FIND} ${WRKSRC} -name "Makefile.in" | ${XARGS} ${PERL} -pi -e \
+	@${FIND} ${WRKSRC} -name "Makefile.in" | ${XARGS} ${REINPLACE_CMD} -e \
 		's|^CFLAGS =.*$$|CFLAGS = \@CFLAGS\@|g'
 
 do-install:
Index: midimountain/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/midimountain/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- midimountain/Makefile	15 Dec 2001 06:52:45 -0000	1.2
+++ midimountain/Makefile	16 Jun 2002 10:15:53 -0000
@@ -21,10 +21,10 @@
 
 post-patch:
 .for file in midimountain.conf main.cpp
-	@${PERL} -pi -e "s,%%PREFIX%%,${PREFIX},g" ${WRKSRC}/midimountain/${file}
+	@${REINPLACE_CMD} -e "s,%%PREFIX%%,${PREFIX},g" ${WRKSRC}/midimountain/${file}
 .endfor
 .for dir in pixmaps languages
-	${PERL} -pi -e "s, ${dir}/, ${DATADIR}/${dir}/,g" ${WRKSRC}/midimountain/${dir}/Makefile.in
+	${REINPLACE_CMD} -e "s, ${dir}/, ${DATADIR}/${dir}/,g" ${WRKSRC}/midimountain/${dir}/Makefile.in
 .endfor
 
 .include <bsd.port.mk>
Index: mp3asm/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/mp3asm/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- mp3asm/Makefile	30 Aug 2001 05:09:03 -0000	1.3
+++ mp3asm/Makefile	16 Jun 2002 10:15:53 -0000
@@ -24,7 +24,7 @@
 	@${RM} ${WRKSRC}/config.cache
 
 post-patch:
-	@${PERL} -pi -e "s,getprogname,_getprogname,g" ${WRKSRC}/src/mp3asm.c
+	@${REINPLACE_CMD} -e "s,getprogname,_getprogname,g" ${WRKSRC}/src/mp3asm.c
 
 post-install:
 .if !defined(NOPORTDOCS)
Index: muse/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/muse/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- muse/Makefile	8 Jun 2002 18:21:46 -0000	1.2
+++ muse/Makefile	16 Jun 2002 10:15:53 -0000
@@ -29,11 +29,11 @@
 CONFIGURE_ARGS=	--disable-debug
 
 post-patch:
-	@${PERL} -pi -e 's|-O3|\$$CFLAGS|g ; \
+	@${REINPLACE_CMD} -e 's|-O3|\$$CFLAGS|g ; \
 		 s|\$$GTK_LIBS -lgthread|\$$GTK_LIBS \$$GLIB_LIBS|g ; \
 		 s|\$$GTK_FLAGS|\$$GTK_CFLAGS \$$GLIB_CFLAGS|g' \
 			${WRKSRC}/configure
-	@${PERL} -pi -e 's|-lpthread||g' ${WRKSRC}/Makefile.in
+	@${REINPLACE_CMD} -e 's|-lpthread||g' ${WRKSRC}/Makefile.in
 
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/muse ${PREFIX}/bin
Index: nas/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/nas/Makefile,v
retrieving revision 1.20
diff -u -r1.20 Makefile
--- nas/Makefile	30 Dec 2001 18:15:33 -0000	1.20
+++ nas/Makefile	16 Jun 2002 10:15:53 -0000
@@ -25,7 +25,7 @@
 
 post-patch:
 	@find ${WRKSRC} -name '*.[ch]' | xargs \
-		${PERL} -pi -e "s|<malloc.h>|<stdlib.h>|g"
+		${REINPLACE_CMD} -e "s|<malloc.h>|<stdlib.h>|g"
 
 post-install:
 	@${SED} -e 's:/usr/X11R6:${PREFIX}:g' ${PKGMESSAGE}
Index: osalp/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/osalp/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- osalp/Makefile	8 Jun 2002 18:24:16 -0000	1.2
+++ osalp/Makefile	16 Jun 2002 10:15:53 -0000
@@ -27,7 +27,7 @@
 PLIST_SUB=	VERSION=${PORTVERSION}
 
 post-patch:
-	@${PERL} -pi -e 's|/usr/local/lib/aflib|${PREFIX}/lib/aflib|g' \
+	@${REINPLACE_CMD} -e 's|/usr/local/lib/aflib|${PREFIX}/lib/aflib|g' \
 		${WRKSRC}/configure
 
 .include <bsd.port.mk>
Index: pimp3/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/pimp3/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- pimp3/Makefile	26 May 2002 13:33:57 -0000	1.10
+++ pimp3/Makefile	16 Jun 2002 10:15:53 -0000
@@ -21,7 +21,7 @@
 USE_PYTHON=	yes
 
 post-patch:
-	@${PERL} -pi -ne "s!/usr/bin/python!${LOCALBASE}/bin/python!;" ${WRKSRC}/pimp3.py
+	@${REINPLACE_CMD} -ne "s!/usr/bin/python!${LOCALBASE}/bin/python!;" ${WRKSRC}/pimp3.py
 
 do-install:
 	${INSTALL_SCRIPT} ${WRKSRC}/*.py ${PREFIX}/bin/
Index: rawrec/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/rawrec/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- rawrec/Makefile	8 Jun 2002 18:27:34 -0000	1.3
+++ rawrec/Makefile	16 Jun 2002 10:15:53 -0000
@@ -30,7 +30,7 @@
 MLINKS=	rawrec.1 rawplay.1
 
 post-patch:
-	@${FIND} ${WRKSRC} -name '*.[ch]' | ${XARGS} ${PERL} -pi -e \
+	@${FIND} ${WRKSRC} -name '*.[ch]' | ${XARGS} ${REINPLACE_CMD} -e \
 		's|<linux/soundcard.h>|<sys/soundcard.h>|g'
 
 do-install:
Index: sfront/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/sfront/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- sfront/Makefile	25 May 2002 16:51:12 -0000	1.5
+++ sfront/Makefile	16 Jun 2002 10:15:53 -0000
@@ -19,7 +19,7 @@
 ALL_TARGET=	# empty
 
 post-patch:
-	@${PERL} -pi -e "s,^CFLAGS,#CFLAGS,g" ${WRKSRC}/Makefile
+	@${REINPLACE_CMD} -e "s,^CFLAGS,#CFLAGS,g" ${WRKSRC}/Makefile
 
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/../bin/sfront ${PREFIX}/bin
Index: xmixer/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/xmixer/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- xmixer/Makefile	19 Feb 2001 22:58:15 -0000	1.8
+++ xmixer/Makefile	16 Jun 2002 10:15:54 -0000
@@ -21,6 +21,6 @@
 MLINKS=		xmixer.1 xgmixer.1
 
 pre-patch:
-	@find ${WRKSRC} -type f | xargs  ${PERL} -pi -e 's|rxvt -e|xterm -e|g'
+	@${FIND} ${WRKSRC} -type f | ${XARGS}  ${REINPLACE_CMD} -e 's|rxvt -e|xterm -e|g'
 
 .include <bsd.port.mk>
Index: xmmix/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/xmmix/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- xmmix/Makefile	11 Dec 2000 02:02:16 -0000	1.12
+++ xmmix/Makefile	16 Jun 2002 10:15:54 -0000
@@ -19,6 +19,6 @@
 MAN1=		xmmix.1
 
 post-patch:
-	@${PERL} -pi -e "s|%%PREFIX%%|${PREFIX}|g" ${WRKSRC}/XMmix.ad
+	@${REINPLACE_CMD} -e "s|%%PREFIX%%|${PREFIX}|g" ${WRKSRC}/XMmix.ad
 
 .include <bsd.port.mk>
Index: xmp/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/xmp/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- xmp/Makefile	9 Dec 2001 02:27:21 -0000	1.12
+++ xmp/Makefile	16 Jun 2002 10:15:54 -0000
@@ -36,6 +36,6 @@
 MLINKS=		xmp.1 xxmp.1
 
 post-patch:
-	@${PERL} -pi -e "s|%%PREFIX%%|${PREFIX}|g" ${WRKSRC}/docs/xmp.1
+	@${REINPLACE_CMD} -e "s|%%PREFIX%%|${PREFIX}|g" ${WRKSRC}/docs/xmp.1
 
 .include <bsd.port.post.mk>
Comment 2 obraun 2002-06-20 00:40:42 UTC
add USE_REINPLACE=  yes

Regards,
         Olli


Index: Maaate/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/Maaate/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- Maaate/Makefile	2002/03/28 16:17:54	1.3
+++ Maaate/Makefile	2002/06/19 23:38:12
@@ -13,12 +13,13 @@
 
 MAINTAINER=	ports@FreeBSD.org
 
+USE_REINPLACE=	yes
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
 INSTALLS_SHLIB=	yes
 
 post-patch:
-	@${PERL} -pi -e "s,-ldl,,g ; s,\(CCLD,(CXXLD,g" ${WRKSRC}/demos/Makefile.in
+	@${REINPLACE_CMD} -E -e "s,-ldl,,g ; s,\(CCLD,(CXXLD,g" ${WRKSRC}/demos/Makefile.in
 
 post-install:
 .if !defined(NOPORTDOCS)
Index: cheesetracker/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/cheesetracker/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- cheesetracker/Makefile	2002/06/09 20:32:55	1.4
+++ cheesetracker/Makefile	2002/06/19 23:38:12
@@ -19,6 +19,7 @@
 
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
+USE_REINPLACE=	yes
 
 pre-configure:
 .for file in install-sh missing mkinstalldirs
@@ -27,6 +28,6 @@
 	@${RM} -f ${WRKSRC}/config.cache
 
 post-patch:
-	@${PERL} -pi -e "s,AFMT_S16_NE,AFMT_S16_LE,g" ${WRKSRC}/waveout/sound_driver_oss.cpp
+	@${REINPLACE_CMD} -e "s,AFMT_S16_NE,AFMT_S16_LE,g" ${WRKSRC}/waveout/sound_driver_oss.cpp
 
 .include <bsd.port.mk>
Index: gdcd/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/gdcd/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- gdcd/Makefile	2001/11/29 22:19:04	1.9
+++ gdcd/Makefile	2002/06/19 23:38:13
@@ -14,6 +14,7 @@
 
 LIB_DEPENDS=	cdaudio.1:${PORTSDIR}/audio/libcdaudio
 
+USE_REINPLACE=	yes
 USE_X_PREFIX=	yes
 USE_GNOME=	yes
 USE_AUTOMAKE_VER=	15
@@ -25,7 +26,7 @@
 	@cd ${WRKSRC}; ${ACLOCAL} -I ${X11BASE}/share/aclocal
 
 pre-build:
-	@${PERL} -pi -e "s/autoheader/${AUTOHEADER}/" \
+	@${REINPLACE_CMD} -e "s/autoheader/${AUTOHEADER}/" \
 		${BUILD_WRKSRC}/Makefile
 
 .include <bsd.port.mk>
Index: ksmp3play/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/ksmp3play/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- ksmp3play/Makefile	2002/04/17 12:37:48	1.2
+++ ksmp3play/Makefile	2002/06/19 23:38:14
@@ -17,6 +17,7 @@
 		smpeg:${PORTSDIR}/graphics/smpeg \
 		gnugetopt:${PORTSDIR}/devel/libgnugetopt
 
+USE_REINPLACE=	yes
 SDL_CONFIG?=	${LOCALBASE}/bin/sdl11-config
 GNU_CONFIGURE=	yes
 CONFIGURE_ENV=	SDL_CONFIG=${SDL_CONFIG} \
@@ -24,7 +25,7 @@
 MAN1=	ksmp3play.1
 
 post-patch:
-	@${PERL} -pi -e "s,-lpthread,${PTHREAD_LIBS},g" ${WRKSRC}/configure
+	@${REINPLACE_CMD} -e "s,-lpthread,${PTHREAD_LIBS},g" ${WRKSRC}/configure
 
 .if !defined(NOPORTDOCS)
 post-install:
Index: libmikmod/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/libmikmod/Makefile,v
retrieving revision 1.23
diff -u -r1.23 Makefile
--- libmikmod/Makefile	2002/03/07 02:42:36	1.23
+++ libmikmod/Makefile	2002/06/19 23:38:14
@@ -14,6 +14,7 @@
 
 MAINTAINER=	ports@FreeBSD.org
 
+USE_REINPLACE=	yes
 USE_ESOUND=	yes
 USE_GMAKE=	yes
 USE_LIBTOOL=	yes
@@ -26,7 +27,7 @@
 	@${RM} -f ${WRKSRC}/docs/mikmod.info-*
 
 post-patch:
-	@${PERL} -pi -e 's|\$$CFLAGS -pthread|\$$CFLAGS ${PTHREAD_CFLAGS}|g ; \
+	@${REINPLACE_CMD} -e 's|\$$CFLAGS -pthread|\$$CFLAGS ${PTHREAD_CFLAGS}|g ; \
 		 s|-pthread \$$REENTRANT|\$$REENTRANT ${PTHREAD_CFLAGS}|g ; \
 		 s|-lpthread|${PTHREAD_LIBS:S/"//g}|g ; \
 		 s|-lc_r|${PTHREAD_LIBS:S/"//g}|g' ${WRKSRC}/configure
Index: libsndfile/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/libsndfile/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- libsndfile/Makefile	2002/05/02 21:23:37	1.5
+++ libsndfile/Makefile	2002/06/19 23:38:15
@@ -13,6 +13,7 @@
 
 MAINTAINER=	ports@FreeBSD.org
 
+USE_REINPLACE=	yes
 USE_LIBTOOL=	yes
 CONFIGURE_ARGS=	--enable-justsrc --disable-gcc-pipe
 INSTALLS_SHLIB=	yes
@@ -21,7 +22,7 @@
 		new_file_type.HOWTO sndfile_info.html
 
 pre-patch:
-	@${PERL} -pi -e 's|-g -O2 ||g' ${WRKSRC}/configure
+	@${REINPLACE_CMD} -e 's|-g -O2 ||g' ${WRKSRC}/configure
 
 post-install:
 .if !defined(NOPORTDOCS)
Index: mhwaveedit/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/mhwaveedit/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- mhwaveedit/Makefile	2002/05/30 18:07:15	1.2
+++ mhwaveedit/Makefile	2002/06/19 23:38:15
@@ -16,6 +16,7 @@
 
 LIB_DEPENDS=	sndfile.0:${PORTSDIR}/audio/libsndfile
 
+USE_REINPLACE=	yes
 USE_GTK=	yes
 GNU_CONFIGURE=	yes
 CONFIGURE_TARGET=	--build=${ARCH}-portbld-freebsd${OSREL}
@@ -32,7 +33,7 @@
 .endif
 
 post-patch:
-	@${FIND} ${WRKSRC} -name "Makefile.in" | ${XARGS} ${PERL} -pi -e \
+	@${FIND} ${WRKSRC} -name "Makefile.in" | ${XARGS} ${REINPLACE_CMD} -e \
 		's|^CFLAGS =.*$$|CFLAGS = \@CFLAGS\@|g'
 
 do-install:
Index: midimountain/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/midimountain/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- midimountain/Makefile	2001/12/15 06:52:45	1.2
+++ midimountain/Makefile	2002/06/19 23:38:15
@@ -15,16 +15,17 @@
 
 MAINTAINER=	ports@FreeBSD.org
 
+USE_REINPLACE=	yes
 USE_GTK=	yes
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
 
 post-patch:
 .for file in midimountain.conf main.cpp
-	@${PERL} -pi -e "s,%%PREFIX%%,${PREFIX},g" ${WRKSRC}/midimountain/${file}
+	@${REINPLACE_CMD} -e "s,%%PREFIX%%,${PREFIX},g" ${WRKSRC}/midimountain/${file}
 .endfor
 .for dir in pixmaps languages
-	${PERL} -pi -e "s, ${dir}/, ${DATADIR}/${dir}/,g" ${WRKSRC}/midimountain/${dir}/Makefile.in
+	${REINPLACE_CMD} -e "s, ${dir}/, ${DATADIR}/${dir}/,g" ${WRKSRC}/midimountain/${dir}/Makefile.in
 .endfor
 
 .include <bsd.port.mk>
Index: mp3asm/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/mp3asm/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- mp3asm/Makefile	2001/08/30 05:09:03	1.3
+++ mp3asm/Makefile	2002/06/19 23:38:15
@@ -14,6 +14,7 @@
 
 MAINTAINER=	ports@FreeBSD.org
 
+USE_REINPLACE=	yes
 GNU_CONFIGURE=	yes
 USE_AUTOCONF=	yes
 USE_GMAKE=	yes
@@ -24,7 +25,7 @@
 	@${RM} ${WRKSRC}/config.cache
 
 post-patch:
-	@${PERL} -pi -e "s,getprogname,_getprogname,g" ${WRKSRC}/src/mp3asm.c
+	@${REINPLACE_CMD} -e "s,getprogname,_getprogname,g" ${WRKSRC}/src/mp3asm.c
 
 post-install:
 .if !defined(NOPORTDOCS)
Index: muse/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/muse/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- muse/Makefile	2002/06/08 18:21:46	1.2
+++ muse/Makefile	2002/06/19 23:38:16
@@ -20,6 +20,7 @@
 		vorbis.1:${PORTSDIR}/audio/libvorbis \
 		gnugetopt.1:${PORTSDIR}/devel/libgnugetopt
 
+USE_REINPLACE=	yes
 USE_GTK=	yes
 USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
@@ -29,11 +30,11 @@
 CONFIGURE_ARGS=	--disable-debug
 
 post-patch:
-	@${PERL} -pi -e 's|-O3|\$$CFLAGS|g ; \
+	@${REINPLACE_CMD} -e 's|-O3|\$$CFLAGS|g ; \
 		 s|\$$GTK_LIBS -lgthread|\$$GTK_LIBS \$$GLIB_LIBS|g ; \
 		 s|\$$GTK_FLAGS|\$$GTK_CFLAGS \$$GLIB_CFLAGS|g' \
 			${WRKSRC}/configure
-	@${PERL} -pi -e 's|-lpthread||g' ${WRKSRC}/Makefile.in
+	@${REINPLACE_CMD} -e 's|-lpthread||g' ${WRKSRC}/Makefile.in
 
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/muse ${PREFIX}/bin
Index: nas/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/nas/Makefile,v
retrieving revision 1.20
diff -u -r1.20 Makefile
--- nas/Makefile	2001/12/30 18:15:33	1.20
+++ nas/Makefile	2002/06/19 23:38:16
@@ -13,6 +13,7 @@
 
 MAINTAINER=	ports@FreeBSD.org
 
+USE_REINPLACE=	yes
 USE_IMAKE=	yes
 ALL_TARGET=	World
 # no need to "xmkmf -a" and create the Makefiles twice -- see above
@@ -25,7 +26,7 @@
 
 post-patch:
 	@find ${WRKSRC} -name '*.[ch]' | xargs \
-		${PERL} -pi -e "s|<malloc.h>|<stdlib.h>|g"
+		${REINPLACE_CMD} -e "s|<malloc.h>|<stdlib.h>|g"
 
 post-install:
 	@${SED} -e 's:/usr/X11R6:${PREFIX}:g' ${PKGMESSAGE}
Index: osalp/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/osalp/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- osalp/Makefile	2002/06/08 18:24:16	1.2
+++ osalp/Makefile	2002/06/19 23:38:16
@@ -18,6 +18,7 @@
 BUILD_DEPENDS=	mpg123:${PORTSDIR}/audio/mpg123
 LIB_DEPENDS=	gnugetopt.1:${PORTSDIR}/devel/libgnugetopt
 
+USE_REINPLACE=	yes
 USE_LIBTOOL=	yes
 CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
 		LDFLAGS="-L${LOCALBASE}/lib -lgnugetopt"
@@ -27,7 +28,7 @@
 PLIST_SUB=	VERSION=${PORTVERSION}
 
 post-patch:
-	@${PERL} -pi -e 's|/usr/local/lib/aflib|${PREFIX}/lib/aflib|g' \
+	@${REINPLACE_CMD} -e 's|/usr/local/lib/aflib|${PREFIX}/lib/aflib|g' \
 		${WRKSRC}/configure
 
 .include <bsd.port.mk>
Index: pimp3/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/pimp3/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- pimp3/Makefile	2002/05/26 13:33:57	1.10
+++ pimp3/Makefile	2002/06/19 23:38:16
@@ -17,11 +17,12 @@
 
 WRKSRC=		${WRKDIR}/pimp3
 
+USE_REINPLACE=	yes
 NO_BUILD=	yes
 USE_PYTHON=	yes
 
 post-patch:
-	@${PERL} -pi -ne "s!/usr/bin/python!${LOCALBASE}/bin/python!;" ${WRKSRC}/pimp3.py
+	@${REINPLACE_CMD} -e "s!/usr/bin/python!${LOCALBASE}/bin/python!" ${WRKSRC}/pimp3.py
 
 do-install:
 	${INSTALL_SCRIPT} ${WRKSRC}/*.py ${PREFIX}/bin/
Index: rawrec/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/rawrec/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- rawrec/Makefile	2002/06/08 18:27:34	1.3
+++ rawrec/Makefile	2002/06/19 23:38:16
@@ -21,6 +21,7 @@
 
 WRKSRC=		${WRKDIR}/${DISTNAME}/src
 
+USE_REINPLACE=	yes
 USE_GMAKE=	yes
 MAKE_ARGS=	CC="${CC}" \
 		CFLAGS="${CFLAGS} ${PTHREAD_CFLAGS} -I${LOCALBASE}/include" \
@@ -30,7 +31,7 @@
 MLINKS=	rawrec.1 rawplay.1
 
 post-patch:
-	@${FIND} ${WRKSRC} -name '*.[ch]' | ${XARGS} ${PERL} -pi -e \
+	@${FIND} ${WRKSRC} -name '*.[ch]' | ${XARGS} ${REINPLACE_CMD} -e \
 		's|<linux/soundcard.h>|<sys/soundcard.h>|g'
 
 do-install:
Index: sfront/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/sfront/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- sfront/Makefile	2002/05/25 16:51:12	1.5
+++ sfront/Makefile	2002/06/19 23:38:17
@@ -14,12 +14,13 @@
 
 MAINTAINER=	ports@FreeBSD.org
 
+USE_REINPLACE=	yes
 USE_BISON=	yes
 WRKSRC=		${WRKDIR}/${PORTNAME}/src
 ALL_TARGET=	# empty
 
 post-patch:
-	@${PERL} -pi -e "s,^CFLAGS,#CFLAGS,g" ${WRKSRC}/Makefile
+	@${REINPLACE_CMD} -e "s,^CFLAGS,#CFLAGS,g" ${WRKSRC}/Makefile
 
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/../bin/sfront ${PREFIX}/bin
Index: xmixer/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/xmixer/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- xmixer/Makefile	2001/02/19 22:58:15	1.8
+++ xmixer/Makefile	2002/06/19 23:38:18
@@ -14,6 +14,7 @@
 
 WRKSRC=		${WRKDIR}/${PORTNAME}
 
+USE_REINPLACE=	yes
 USE_GTK=	yes
 USE_AUTOCONF=	yes
 
@@ -21,6 +22,6 @@
 MLINKS=		xmixer.1 xgmixer.1
 
 pre-patch:
-	@find ${WRKSRC} -type f | xargs  ${PERL} -pi -e 's|rxvt -e|xterm -e|g'
+	@find ${WRKSRC} -type f | xargs  ${REINPLACE_CMD} -e 's|rxvt -e|xterm -e|g'
 
 .include <bsd.port.mk>
Index: xmmix/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/xmmix/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- xmmix/Makefile	2000/12/11 02:02:16	1.12
+++ xmmix/Makefile	2002/06/19 23:38:18
@@ -13,12 +13,13 @@
 
 MAINTAINER=	ports@FreeBSD.org
 
+USE_REINPLACE=	yes
 USE_IMAKE=	yes
 USE_MOTIF=	yes
 
 MAN1=		xmmix.1
 
 post-patch:
-	@${PERL} -pi -e "s|%%PREFIX%%|${PREFIX}|g" ${WRKSRC}/XMmix.ad
+	@${REINPLACE_CMD} -e "s|%%PREFIX%%|${PREFIX}|g" ${WRKSRC}/XMmix.ad
 
 .include <bsd.port.mk>
Index: xmp/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/xmp/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- xmp/Makefile	2001/12/09 02:27:21	1.12
+++ xmp/Makefile	2002/06/19 23:38:19
@@ -13,6 +13,7 @@
 
 MAINTAINER=	ports@FreeBSD.org
 
+USE_REINPLACE=	yes
 USE_BZIP2=	yes
 USE_XLIB=	yes
 USE_GMAKE=	yes
@@ -36,6 +37,6 @@
 MLINKS=		xmp.1 xxmp.1
 
 post-patch:
-	@${PERL} -pi -e "s|%%PREFIX%%|${PREFIX}|g" ${WRKSRC}/docs/xmp.1
+	@${REINPLACE_CMD} -e "s|%%PREFIX%%|${PREFIX}|g" ${WRKSRC}/docs/xmp.1
 
 .include <bsd.port.post.mk>
Comment 3 Ying-Chieh Liao freebsd_committer 2002-07-08 11:22:04 UTC
State Changed
From-To: open->closed

committed, thanks